chrony (4.7-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. Remaining changes: (LP: #2110435)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change
  * Drop Changes:
    - d/t/helper-functions: Do not fail if backup does not exist
      [Fixed in 4.7-1]
    - d/tests: Clean up after __no_system_clock_control()
      [Fixed in 4.7-1]
    - d/chrony.service: Do not run inside containers by default (LP 2111535)
      [Fixed in 4.7-1]
    - d/t/default-ubuntu-sources-behavior: Adopt to upstream container handling.
      [Squashed into "new test to check the debconf behavior"]
  * Add Changes:
    - d/chrony.service: Allow real chronyd to send READY=1 via sd_notify in
      place of the chronyd-starter.sh wrapper.
    - d/usr.sbin.chronyd: Grant access to NOTIFY_SOCKET in AppArmor profile.
    - d/chrony.conf: Document non-NTS sources from DHCP (LP: #2115565)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 30 Jun 2025 13:26:18 +0200

chrony (4.7-1) experimental; urgency=medium

  [ Vincent Blut ]
  * Import upstream version 4.7 (LP: #2002910):
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/copyright:
    - Update copyright years.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

  [ Lukas Märdian ]
  * debian/chrony.service:
    - Do not run inside containers by default. (LP: #2111535)

  * debian/tests/helper-functions:
    - Introduce '__cleanup()' function.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 11 Jun 2025 17:38:16 +0200

chrony (4.7~pre1-1) experimental; urgency=medium

  * Import upstream version 4.7-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Switch service unit to use Type=notify.

  * debian/copyright:
    - Add an entry for refclock_rtc.c.

  * debian/patches/:
    - Refresh debianize-chronyd-restricted-unit-file.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 May 2025 19:24:50 +0200

chrony (4.6.1-3) unstable; urgency=medium

  * debian/patches/:
    - Add conf:_fix_sourcedir_reloading_to_not_multiply_sources.patch. Thanks
    to MichaelR <MichaelR42@runbox.com> for the report. (Closes: #1106875)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 03 Jun 2025 17:16:37 +0200

chrony (4.6.1-2) unstable; urgency=medium

  [ Vincent Blut ]
  * debian/chrony.conf:
    - Move the confdir directive at the end of the configuration file. This
    should prevent directives defined in /etc/chrony/conf.d/ from being
    overridden by corresponding directives in chrony.conf. (Closes: #1073865)

  * debian/chrony.service:
    - Drop 'After=network.target'. First and foremost, the network.target unit
    doesn't guarantee that any network interfaces are configured or
    operational. Furthermore, chronyd is perfectly able to operate without
    network or DNS functionality notably when used with a hardware reference
    clock as a time source.
    - Do not pull time-sync.target nor order chrony.service before it. Services
    pulling and being ordered before time-sync.target must ensure that the
    system clock has been completely synchronized and thus typically guarantee
    an accurate clock. This can't be assumed right after chrony.service has
    finished starting.

  * debian/control:
    - Support seccomp facility on loong64.
    - Bump Standards-Version to 4.7.2 (no changes required).

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/rules:
    - Revert "d/rules: Disable seccomp on loong64".

  * debian/usr.sbin.chronyd:
    - Relax rule regarding temperature sensors. (Closes: #1084841)

  [ Joachim Kross ]
  * debian/{control,postinst,chrony.conf}:
    - Minor textual updates.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 02 Apr 2025 21:33:06 +0200

chrony (4.6.1-1ubuntu2) questing; urgency=medium

  * d/chrony.service: Do not run inside containers by default (LP: #2111535)
    Still allow running tests in containers, by installing override
    configs in /etc/systemd/system/chrony.service.d/
  * d/tests: Clean up after __no_system_clock_control()
  * d/t/helper-functions: Do not fail if backup does not exist
  * d/t/default-ubuntu-sources-behavior: Adopt to upstream container handling.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 03 Jun 2025 10:13:08 +0200

chrony (4.6.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085221). Remaining changes:
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Jan 2025 10:35:08 -0300

chrony (4.6.1-1) unstable; urgency=medium

  * Import upstream version 4.6.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright year.

  * debian/.gitlab-ci:
    - Use the recommended URL.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 08 Oct 2024 16:06:04 +0200

chrony (4.6-1) unstable; urgency=medium

  * Import upstream version 4.6-1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.
    - Add Files stanzas.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 02 Sep 2024 19:37:15 +0200

chrony (4.6~pre1-1) experimental; urgency=medium

  * Import upstream version 4.6-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.conf:
    - Use the leapseclist directive to read NIST/IERS leap-seconds.list file.

  * debian/control:
    - Revert "d/control: Depend on tzdata-legacy". chronyd is now able to read
    the NIST/IERS leap-seconds.list file so we don't need to rely on the
    right/UTC timezone to get the TAI-UTC offsets. This renders the dependency
    on tzdata-legacy unnecessary.

  * debian/tests/control:
    - Revert "d/t/control: Let upstream-simulation-test-suite depend on
    tzdata-legacy".

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 30 Jul 2024 15:01:19 +0200

chrony (4.5-3ubuntu4) plucky; urgency=medium

  * Use Ubuntu NTS servers by default (LP: #2084585):
    - d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
      server
    - d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
      bootstrap servers
    - d/install: install the NTS bootstrap CAs
    - d/ubuntu-ntp-pools.sources: use NTS by default
    - d/t/default-ubuntu-sources-behavior: update tests for NTS support
    - d/NEWS: add news entry about the NTS change

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 17 Oct 2024 10:25:57 -0300

chrony (4.5-3ubuntu3) oracular; urgency=medium

  * d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
    debconf behavior introduced in LP #2048876)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 02 Sep 2024 16:37:40 -0300

chrony (4.5-3ubuntu2) oracular; urgency=medium
  * Move Ubuntu NTP sources to /etc/chrony/sources.d/ubuntu-ntp-pools.sources,
    gated on a low priority (default yes) debconf question (LP: #2048876):
    - d/NEWS: Add entry with information about default time sources moving out
      from chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
    - d/chrony.conf, d/ubuntu-ntp-pools.sources: Move Ubuntu NTP pool sources
      from chrony.conf to ubuntu-ntp-pools.sources 
    - d/chrony.config: Ask chrony/configure_ubuntu_pools_in_sourcesd debconf
      question.
    - d/control: Add debconf dependency.
    - d/install: Install ubuntu-ntp-pools.sources in /usr/share/chrony
    - d/postinst: Handle ubuntu-ntp-pools.sources installation, removal and
      ucf tracking based on debconf question.
    - d/postrm: Handle /etc/chrony/sources.d/ubuntu-ntp-pools.sources removal
      from ucf tracking based on debconf question on uninstall.
    - d/templates: Add debconf question to customize installation of
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources. 
 
 -- Ankush Pathak <ankush.pathak@canonical.com>  Thu, 15 Aug 2024 00:03:08 +0530

chrony (4.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064393, LP: #2068526). Remaining
    changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
  * Dropped:
    - d/usr.sbin.chronyd: apparmor fixes (LP: #2032805):
      + Allow the default UNIX domain socket address to be used by the
        reflock_sock service in the Apport configuration.
      + Fix failure to start timemaster due to lack of rw permissions on
        chrony socket.
      [In 4.5-2 and 4.5-3]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Jul 2024 15:57:20 -0300

chrony (4.5-3) unstable; urgency=medium

  * debian/upstream-simulation-test-suite:
    - Update clknetsim version (Closes: #1073861)

  * debian/usr.sbin.chronyd:
    - Don't be too strict on allowed socket paths (LP: #2068526)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 20 Jun 2024 00:41:37 +0200

chrony (4.5-2) unstable; urgency=medium

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/control:
    - Build depend on pkgconf instead of pkg-config.
    - Bump Standards-Version to 4.7.0 (no changes needed).

  * debian/rules:
    - Disable seccomp on loong64 until libseccomp in Debian supports it.

  * debian/tests/upstream-simulation-test-suite:
    - Build clknetsim with extra CFLAGS on armel and armhf architectures as it
    needs to use the same time_t as the chronyd binary.
    - Update clknetsim version.
    - Prevent connection timeout on slow architectures.
    - Remove unused environment variable.

  [ Bryce Harrington ]
  * debian/usr.sbin.chronyd:
    - Fix failure to start timemaster due to lack of rw permissions on chrony
    socket. (LP: #2032805)
    - Allow the default UNIX domain socket address to be used by the
    reflock_sock service in the AppArmor configuration.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 25 Apr 2024 15:52:18 +0200

chrony (4.5-1ubuntu4) noble; urgency=medium

  * d/usr.sbin.chronyd: Fix failure to start timemaster due to lack
    of rw permissions on chrony socket.
    (LP: #2032805)
  * d/usr.sbin.chronyd: Allow the default UNIX domain socket address
    to be used by the reflock_sock service in the Apport configuration.
    (ref LP #2032805)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 01 Apr 2024 18:28:32 -0700

chrony (4.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:10 +1100

chrony (4.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:02:48 +0000

chrony (4.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040371). Remaining changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
  * Dropped:
    - Depend on tzdata-legacy for reading leapsectz from
      /usr/share/zoneinfo/right/UTC
      (LP #2008076)
  * d/rules, d/chrony.examples: Ship restricted service as an example
    not installed to the system for use.  (See LP #2051028)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 02 Jan 2024 00:45:01 -0800

chrony (4.5-1) unstable; urgency=medium

  * Import upstream version 4.5:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Upload to unstable.

  * debian/copyright:
    - Update copyright attribution.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 05 Dec 2023 16:35:17 +0100

chrony (4.5~pre1-1) experimental; urgency=medium

  *  Import upstream version 4.5-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Drop unneeded symlink creation.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 22 Nov 2023 22:20:11 +0100

chrony (4.4-3) unstable; urgency=medium

  * Rely solely on dh_installsystemd to install the systemd units in the
    correct location. (Closes: #1054222)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 19 Oct 2023 23:47:52 +0200

chrony (4.4-2) unstable; urgency=medium

  * debian/control:
    - Add version constraint on adduser. (Closes: #1051822)

  * debian/.gitlab-ci.yml:
    - Run CI on unstable.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 14 Sep 2023 20:28:27 +0200

chrony (4.4-1) unstable; urgency=medium

  * Import upstream version 4.4:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/:
    - Update links to point to new chrony location.

  * debian/copyright:
    - Update copyright years.

  * debian/install:
    - Install the chronyd-restricted systemd unit.

  * debian/patches/:
    - Add debianize-chronyd-restricted-unit-file.patch.

  * debian/rules:
    - Do not enable nor start chronyd-restricted.service.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 09 Aug 2023 17:50:42 +0200

chrony (4.4~pre2-1) experimental; urgency=medium

  * Import upstream version 4.4-pre2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Update clknetsim seed. This prevents the '148-replacement' test from
    failing.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 Jun 2023 19:12:19 +0200

chrony (4.4~pre1-1) experimental; urgency=medium

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * Import upstream version 4.4-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 10 May 2023 16:26:48 +0200

chrony (4.3-3) experimental; urgency=medium

  * debian/control:
    - Depend on tzdata-legacy. right/* timezones have been split into a
    separate tzdata-legacy package. Since chronyd reads
    '/usr/share/zoneinfo/right/UTC' to determine when will the next leap second
    occur we have to depend on this new package. (LP: #2008076)

  * debian/.gitlab-ci.yml:
    - Run CI on experimental. This is necessary as long as tzdata-legacy is
    available in experimental only.

  * debian/tests/control:
    - Let upstream-simulation-test-suite depend on tzdata-legacy.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 27 Mar 2023 19:57:20 +0200

chrony (4.3-2+deb12u1) unstable; urgency=medium

  * debian/usr.sbin.chronyd:
    - Modify the AppArmor profile to allow more gpsd socket names. This will
    avoid the need for users to override the profile to let chronyd consume PPS
    samples or serial time supplied by gpsd over a Unix-domain socket.
    Thanks to Ryan Govostes for the report. (Closes: #1034519)

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 08 May 2023 22:05:00 +0200

chrony (4.3-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018062). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: make chrony-starter.sh available on install.
      + d/docs, d/README.container: provide documentation about the
        handling of this case.
    - Depend on tzdata-legacy for reading leapsectz from
      /usr/share/zoneinfo/right/UTC
      (LP #2008076)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 08 May 2023 22:15:26 -0700

chrony (4.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.2 (no changes needed).

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/.gitlab-ci.yml:
    - Use the recommended syntax to skip a job.

  * debian/install:
    - Install the chrony-wait.service systemd unit.

  * debian/postinst:
    - Ensure that chronyd can read the /etc/chrony/chrony.keys file after
    dropping root privileges.

  * debian/postrm:
    - Remove the override for /etc/chrony/chrony.keys when purging chrony.

  * debian/rules:
    - Do not enable nor start chrony-wait.service for the time being.

  * debian/tests/upstream-simulation-test-suite:
    - Run each test only once. Running several iterations is no longer
    relevant since we use a hard coded seed.

  [ Taylor Stearns ]
  * debian/chrony.conf:
    - Replace U+2019 with ASCII quote. (MR: !10)

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 27 Jan 2023 22:51:17 +0100

chrony (4.3-1ubuntu4) lunar; urgency=medium

  * Let upstream-simulation-test-suite depend on tzdata-legacy as well
    (LP: #2008076)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Mar 2023 15:42:10 +0100

chrony (4.3-1ubuntu3) lunar; urgency=medium

  * Depend on tzdata-legacy for reading leapsectz from
    /usr/share/zoneinfo/right/UTC (LP: #2008076)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Mar 2023 09:26:25 +0100

chrony (4.3-1ubuntu2) lunar; urgency=medium

  * No-change rebuild for glibc 2.37

 -- Bryce Harrington <bryce@canonical.com>  Thu, 09 Feb 2023 07:26:02 +0000

chrony (4.3-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993389). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for
        capsh (usually installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + debian/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation
        about the handling of this case.
  * Dropped:
    - d/patches/add-rseq.patch: Add "rseq" to list of acceptable syscalls to fix
      tests with glibc 2.35.
      [Included in upstream 4.3 release]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 09 Jan 2023 19:41:47 -0800

chrony (4.3-1) unstable; urgency=medium

  * Import upstream version 4.3:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.

  [ Bastian Blank ]
  * debian/chrony.service:
    - Let systemd handle directories. (MR: !9)

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 31 Aug 2022 13:32:14 +0200

chrony (4.3~pre1-1) experimental; urgency=medium

  * Import upstream version 4.3-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.lintian-overrides:
    - Update lintian override syntax.

  * debian/control:
    - Bump Standards-Version to 4.6.1 (no changes needed).

  * debian/patches/*:
    - Drop ensure_awk_commands_in_008-ntpera_test_return_an_integer.patch,
    applied upstream.
    - Refresh nm-dispatcher-dhcp_Move-server_dir-to-run.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 11 Aug 2022 14:12:25 +0200

chrony (4.2-2ubuntu2) jammy; urgency=medium

  * d/patches/add-rseq.patch: Add "rseq" to list of acceptable syscalls to fix
    tests with glibc 2.35.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Feb 2022 16:48:09 +1300

chrony (4.2-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes [ in 4.2-1 ]
    - Drop patches present in v4.2
      + d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
      + d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
      + d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 04 Feb 2022 07:52:48 +0100

chrony (4.2-2) unstable; urgency=medium

  * debian/usr.sbin.chronyd:
    - Allow reading the chronyd configuration file that timemaster(8)
    generates. Thanks to Michael Lestinsky for the report! (Closes: #1004745)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 01 Feb 2022 20:42:35 +0100

chrony (4.2-1) unstable; urgency=medium

  * Import upstream version 4.2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Adopt upstream service unit hardening options.

  * debian/copyright:
    - Update copyright years.

  * debian/patches/*:
    - Drop patches applied upstream.
    - Add ensure_awk_commands_in_008-ntpera_test_return_an_integer.patch

  * debian/test/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 13 Jan 2022 14:01:35 +0100

chrony (4.2-0ubuntu1) jammy; urgency=medium

  * Merge with Debian testing (LP: #1946848) and upstream v4.2.
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Drop patches present in v4.2
    - d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
    - d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
    - d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
  * Added changes:
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 06 Jan 2022 14:51:22 +0100

chrony (4.1-4) unstable; urgency=medium

  * debian/:
    - Remove empty preinst maintainer script.

  * debian/chrony.lintian-overrides:
    - Remove unused overrides.

  * debian/control:
    - Bump Standards-Version to 4.6.0 (no changes needed).

  * debian/patches/*:
    - Add fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch.
    (Closes: #995207)

  * debian/usr.sbin.chronyd:
    - Add 'vim:syntax=apparmor' modline.
    - Add feature ABI rule. Starting with AppArmor 3.0, policy needs to contain
    an abi rule to indicate which feature abi the policy was developed under.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 07 Oct 2021 15:23:28 +0200

chrony (4.1-3ubuntu1) impish; urgency=medium

  * Merge with Debian unstable (LP: #1940252). Remaining changes:
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes:
    - d/t/helper-functions: restart explicitly to fix test issues
  * Added changes:
    - d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch: glibc 2.34
      compatibility

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 17 Aug 2021 12:22:32 +0200

chrony (4.1-3) unstable; urgency=medium

  * Upload to unstable.

  * debian/patches/:
    - Add allow-clone3-and-pread64-in-seccomp-filter.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 15 Aug 2021 15:08:56 +0200

chrony (4.1-2) experimental; urgency=medium

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/rules:
    - Remove needless dh_auto_test override.

  [ Christian Ehrhardt ]
  * debian/tests/helper-functions:
    - Improve chronyd restart logic. While rendering the tests more readable,
    this also fixes ntp-server-and-nts-auth test on Ubuntu.

  [ Debian Janitor ]
  * debian/{control,chrony.maintscript}:
    - Remove constraints unnecessary since stretch.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 26 Jun 2021 17:16:45 +0200

chrony (4.1-1ubuntu1) impish; urgency=medium

  * Merge new upstream 4.1 and yet unrelased changes from Debian salsa.
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes:
    - d/t/helper-functions: reduce default ubuntu config, to make space for
      testcase config
      [ in Debian 4.0-6 ]
    - d/t/{dynamically-add-source,ntp-server-and-nts-auth,helper-functions}:
      unify tests to use reload and restart
      [ in Debian 4.0-6 ]
    - d/t/upstream-simulation-test-suite: Update clknetsim version to fix
      a test failure on s390x when LTO is enabled at build time (LP #1921377)
      [ in Debian 4.1~pre1-1 ]
    - d/p/lp-1915006-sys_linux-allow-statx-and-fstatat64-in-seccomp-filte.patch:
      add compatibility for glibc 2.33 (LP: 1915006)
      [ upstream in 4.1-pre1 ]
  * Added changes:
    - d/t/helper-functions: restart explicitly to fix test issues

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 18 May 2021 08:12:59 +0200

chrony (4.1-1) experimental; urgency=medium

  * Import upstream version 4.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.

  * debian/upstream/signing-key.asc:
    - Update Miroslav Lichvar's key.

  * debian/watch:
    - Add upstream version mangle to transform -pre to ~pre.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 14 May 2021 00:25:34 +0200

chrony (4.1~pre1-1) experimental; urgency=medium

  * Import upstream version 4.1-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/control:
    - Now that the upstream system tests support 'ss', replace the net-tools
    build-dependency by iproute2.

  * debian/NEWS:
    - Mention that lines in *.sources files must be terminated by a trailing
    newline.

  * debian/patches/:
    - Drop allow-IP_TOS-socket-option-in-seccomp-filter.patch. Applied
    upstream.

  * debian/postinst:
    - Do not redirect 'chronyd -p' stderr to /dev/null. Not needed anymore.

  * debian/sources.d/README:
    - Mention that lines in *.sources files must be terminated by a trailing
    newline.

  * debian/tests/dynamically-add-source:
    - Terminate the line in dummy-server.sources with the newline control
    character.

  * debian/tests/fragmented-configuration:
    - Do not redirect 'chronyd -p' stderr to /dev/null. Not needed anymore.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 10 May 2021 18:56:53 +0200

chrony (4.0-8) unstable; urgency=medium

  * debian/patches/:
    - Add allow-BINDTODEVICE-option-in-seccomp-filter.patch to enable support
    for binding sockets to a device without having to disable the seccomp
    filter.
    - Add allow-getuid32-in-seccomp-filter.patch. Upstream found out that
    getuid32() needed to be allowed in the seccomp filter to enable some NTS
    operations on i686. This may affect other 32-bits architectures.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 13 May 2021 16:51:41 +0200

chrony (4.0-7) unstable; urgency=medium

  * debian/patches/:
    - Add allow-IP_TOS-socket-option-in-seccomp-filter.patch to enable the use
    of the 'dscp' directive.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 08 Apr 2021 16:21:16 +0200

chrony (4.0-6) unstable; urgency=medium

  * debian/tests/helper-functions:
    - Instead of running 'systemctl restart chrony.service', use
    __restart_chronyd() in the __no_system_clock_control() function.
    - Run 'sleep 3' only if chronyd has successfully restarted.

  [ Christian Ehrhardt ]
  * debian/tests/{dynamically-add-source,ntp-server-and-nts-auth}:
    - Reduce default Ubuntu config to make space for testcase config.

  * debian/tests/helper-functions:
    - Add more common functions and update some tests to use them.
    - Wait after restarting chronyd. Without this, some tests break on Ubuntu by
    checking state too early.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 21 Feb 2021 21:59:22 +0100

chrony (4.0-5ubuntu3) hirsute; urgency=medium

  * d/t/upstream-simulation-test-suite: Update clknetsim version to fix
    a test failure on s390x when LTO is enabled at build time (LP: #1921377)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 25 Mar 2021 15:45:47 +0100

chrony (4.0-5ubuntu2) hirsute; urgency=medium

  * d/p/lp-1915006-sys_linux-allow-statx-and-fstatat64-in-seccomp-filte.patch:
    add compatibility for glibc 2.33 (LP: 1915006)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 15 Feb 2021 12:50:29 +0100

chrony (4.0-5ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable (LP: #1915006). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Added changes:
    - d/t/helper-functions: reduce default ubuntu config, to make space for
      testcase config
    - d/t/{dynamically-add-source,ntp-server-and-nts-auth,helper-functions}:
      unify tests to use reload and restart

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 08 Feb 2021 12:45:05 +0100

chrony (4.0-5) unstable; urgency=medium

  * Follow DEP-14 branch naming conventions:
    master -> debian/latest
    upstream -> upstream/latest

  * debian/chrony.service:
    - Enable some hardening settings.

  * debian/control:
    - Remove Joachim Wiedorn from the Uploaders field. This decision was taken
    in agreement with him. Thanks a lot, Joachim, for your work on chrony and
    for your benevolence when you handed me its maintenance.
    - Point Vcs-Git to the debian/latest branch.

  * debian/dirs:
    - Do not create the /etc/apparmor.d/force-complain directory. Not needed
    anymore.

  * debian/postrm:
    - Remove /run/chrony-dhcp on purge.

  * debian/preinst:
    - Drop old migration code snippet. It was used to put the newly provided
    AppArmor profile in complain mode when upgrading chrony to prevent
    regressions this profile could have caused. (Closes: #905485)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 04 Feb 2021 19:49:22 +0100

chrony (4.0-4) unstable; urgency=medium

  * debian/chrony.examples:
    - Provide example configuration files.

  * debian/postinst:
    - Run adduser unconditionally.
    - Use 'chronyd -p' to check the whole configuration.

  * debian/tests/:
    - Prevent dynamically-add-source and ntp-server-and-nts-auth tests from
    failing on chronyd's preparation step.
    - Don't pass 'set -u' to dynamically-add-source and
    ntp-server-and-nts-auth scripts.

  * debian/tests/control:
    - Mark dynamically-add-source as skippable.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 21 Jan 2021 20:02:39 +0100

chrony (4.0-3) unstable; urgency=medium

  * debian/:
    - chronyd's configuration can now be fragmented. Please see
    /etc/chrony/conf.d/README for more information.
    - NTP sources can be specified in /etc/chrony/sources.d. Please see
    /etc/chrony/sources.d/README for more information.

  * debian/chrony.conf:
    - Include configuration files found in /etc/chrony/conf.d.
    - Use NTP sources found in /etc/chrony/sources.d.
    - Get TAI-UTC offset and leap seconds from the system tz database by using
    the "leapsectz right/UTC" directive. This directive must be commented out
    when using time sources serving leap-smeared time. (Closes: #974845)
    - Add missing comment.

  * debian/chrony.default:
    - Switch the seccomp filter to level 1.

  * debian/chrony.lintian-overrides:
    - Override breakout-link.

  * debian/control:
    - Add tzdata to the dependencies.
    - Bump Standards-Version to 4.5.1 (no changes required).

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/postinst:
    - Use dpkg-statoverride to manage mode bits and ownership of
    /var/l{ib,og}/chrony.

  * debian/postrm:
    - Remove overrides for /var/l{ib,og}/chrony on purge.

  * debian/rules:
    - Drop '--without-readline' option. GNU readline support has been dropped
    upstream due to license incompatibility.
    - Replace -F -1 by -F 1 in the sed invocation.

  * debian/tests/:
    - Add fragmented-configuration autopkgtest.
    - Add dynamically-add-source autopkgtest.
    - Add ntp-server-and-nts-auth autopkgtest.

  * debian/tests/control:
    - Mark ntp-server-and-nts-auth as skippable.

  * debian/tests/fragmented-configuration:
    - Use another directive for the test since "leapsectz right/UTC" is now
    used by default.

  * debian/tests/helper-functions:
    - Add __no_system_clock_control() function.

  * debian/tests/upstream-simulation-test-suite:
    - Always use the same seed to get deterministic results.

  * debian/upstream/metadata:
    - Remove obsolete field Name. Thanks to Debian Janitor <janitor@jelmer.uk>.

  * debian/usr.sbin.chronyd:
    - Make use of the @{run} variable.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 18 Jan 2021 21:58:52 +0100

chrony (4.0-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 27 Oct 2020 10:55:19 +0100

chrony (4.0-2) unstable; urgency=medium

  * Merge branch 'experimental' into 'master'.

  * Upload to unstable.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 13 Oct 2020 15:59:33 +0200

chrony (4.0-1) experimental; urgency=medium

  * Import upstream version 4.0:
    - This release adds support for the Network Time Security (NTS)
    authentication mechanism (RFC 8915).
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 07 Oct 2020 19:14:51 +0200

chrony (4.0~pre4-2) experimental; urgency=medium

  * debian/postinst:
    - Fix user and group ownership of "/var/lib/chrony" to allow chronyd
    to write in it. This will also fix a regression in the 104-systemdirs
    test.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 03 Oct 2020 11:20:02 +0200

chrony (4.0~pre4-1) experimental; urgency=medium

  * Import upstream version 4.0-pre4:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'master' into experimental. (Closes: #970421)

  * debian/chrony.conf:
    - Use NTP sources from /run/chrony-dhcp.
    - Save NTS keys and cookies in /var/lib/chrony/.

  * debian/chrony-dnssrv@.service:
    - Update "chrony-helper" path.

  * debian/chrony.dhcp:
    - Save NTP servers from DHCP to /run/chrony-dhcp/$interface.sources.

  * debian/chrony.lintian-overrides:
    - Override executable-in-usr-lib for NetworkManager dispatcher scripts.
    - Update NetworkManager dispatcher script name.

  * debian/chrony.ppp.ip-{down,up}:
    - Update PID file path.

  * debian/chrony.service:
    - Update PID file path.
    - Do not run 'chrony-helper update-daemon' after starting chronyd. Not
    needed anymore.

  * debian/control:
    - Build-depend on libgnutls28-dev to support NTS.
    - Build-depend on gnutls-bin for the test suite.
    - Bump debhelper-compat to 13.

  * debian/copyright:
    - Update copyright years.

  * debian/dirs:
    - Remove var/log/chrony as it will be created automatically if it doesn’t
    exist.

  * debian/if-{post-down,up}:
    - Update PID file path.

  * debian/init:
    - Update PID file path.
    - Drop the unnecessary '--remove pidfile' option from the stop target.
    - Do not run 'chrony-helper update-daemon' after starting chronyd. Not
    needed anymore.

  * debian/install:
    - Move "chrony-helper" to "/usr/libexec/chrony".

  * debian/links:
    - Update source and destination filenames.

  * debian/patches/:
    - Drop patches applied upstream.
    - Add nm-dispatcher-dhcp_Move-server_dir-to-run.patch.

  * debian/postinst:
    - Drop migration code from pre-Stretch.
    - Migrate NTP sources obtained from DHCP to /run/chrony-dhcp on upgrade
    from chrony < 4.0~pre4-1.
    - Remove staled PID file when upgrading from chrony < 4.0~pre4-1.

  * debian/rules:
    - Change the default PID file location from /run to /run/chrony.
    - Drop dh_missing --fail-missing. This is the default in debhelper 13.
    - Enable seccomp support by default on riscv64.
    - Update NetworkManager dispatcher script name from 20-chrony to
    20-chrony-onoffline.
    - Add DHCP NetworkManager dispatcher script to allow chronyd to use
    NTP sources obtained from NM's internal DHCP client.

  * debian/tests/:
    - Add some helper functions. Some tests will be updated thereafter
    to use them.

  * debian/tests/time-sources-from-dhcp-servers:
    - Adapt to the new way of using time sources from DHCP.
    - Improve sed invocation.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Cosmetic changes.

  * debian/tests/upstream-system-tests:
    - No need to stop systemd-timesyncd anymore since it is no more
    co-installable with chrony anymore.

  * debian/usr.sbin.chronyd:
    - Update PID file path.
    - Add dac_override and dac_read_search capabilities to give "root" the
    ability to write the PID file in /run/chrony/.
    - Prefix flag definition by "flags=".
    - Sort the capabilities.
    - Grant CAP_NET_RAW capability to allow an NTP socket to be bound to a
    device using the SO_BINDTODEVICE socket option on kernels before 5.7.
    - Add comments regarding capabilities.
    - Let chronyd create /var/l{ib,og}/chrony.
    - Remove a superfluous rule.
    - Allow reading of NTP sources in /run/chrony-dhcp/.

  * debian/watch:
    - Make use of special strings.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 02 Oct 2020 21:21:08 +0200

chrony (3.5.1-1ubuntu2) groovy; urgency=medium

  * d/chronyd-starter.sh: fix commandline argument parsing (LP: #1898000)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Oct 2020 12:20:40 +0200

chrony (3.5.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes
    - d/t/control: harden time-sources-from-dhcp-servers test for systemd change
      (LP: 1873031) [no more needed with recent systemd that is in groovy]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 26 Aug 2020 15:30:48 +0200

chrony (3.5.1-1) unstable; urgency=medium

  * Import upstream version 3.5.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.
    - CVE-2020-14367: create new file when writing pidfile.

  * debian/chrony.lintian-overrides:
    - Remove unused override.

  [ Ville Skyttä ]
  * debian/chrony.conf:
    - Comment spelling fix. (MR: !5)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 20 Aug 2020 14:07:22 +0200

chrony (3.5-9ubuntu2) groovy; urgency=medium

  * No change rebuild against new libnettle8 and libhogweed6 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 22:22:19 +0100

chrony (3.5-9ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1878005). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
    - d/t/control: harden time-sources-from-dhcp-servers test for systemd change
      (LP: 1873031)
  * Dropped changes [in Debian now]
    - d/t/upstream-system-tests: stop chrony/systemd-timesynd before tests
    - d/t/upstream-system-tests: fix stderr in case services do not exist
    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
      since systemd-timesyncd is a standalone package declaring
      Conflicts/Replaces/Provides: time-daemon. (Closes 955773, LP: 1872183)
    - d/postrm: Reinstate the remove target (LP: 1873810)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 20 May 2020 09:57:39 +0200

chrony (3.5-9) unstable; urgency=medium

  * debian/patches/:
    - Add allow-some-*time64-syscalls-in-seccomp-filter.patch. Needed for
    32-bit architectures with new system calls using 64-bit time_t.
    (LP: #1878005)

  * debian/tests/control:
    - Add needs-internet restriction to the upstream-simulation-test-suite
    test.

  [ Christian Ehrhardt ]
  * debian/tests/upstream-simulation-test-suite:
    - Skip if preparation steps fail.
    - Make preparation steps more verbose.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 19 May 2020 16:42:18 +0200

chrony (3.5-8) unstable; urgency=medium

  * debian/postrm:
    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
    since systemd-timesyncd is a standalone package declaring
    Conflicts/Replaces/Provides: time-daemon. (Closes: #955773)

  [ Christian Ehrhardt ]
  * debian/tests/upstream-system-tests:
    - Stop chrony/systemd-timesynd before running these tests. (LP: #1870144)

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 05 Apr 2020 17:44:31 +0200

chrony (3.5-7) unstable; urgency=medium

  * debian/chrony.maintscript:
    - Remove the /etc/NetworkManager/dispatcher.d/20-chrony conffile.

  * debian/control:
    - Support seccomp facility on riscv64. It should be noted that the system
    call filter will stay disabled by default on this architecture until
    Linux >= 5.5 hits unstable.
    - Bump libseccomp-dev build-dep to 2.4.3-1~ to provide seccomp facility on
    riscv64.
    - Break network-manager (<< 1.20.0-1~). Prior to this version,
    NetworkManager would not look for dispatcher scripts into
    /usr/lib/NetworkManager/dispatcher.d/.

  * debian/dirs:
    - Create the usr/lib/NetworkManager/dispatcher.d subdirectories.

  * debian/links:
    - Change the location of the NetworkManager dispatcher script.

  * debian/patches/:
    - Add allow-renameat2-in-seccomp-filter.patch. Required as the riscv64
    architecture does not support the rename() and renameat() system calls.

  * debian/rules:
    - Move the NetworkManager dispatcher script in
     /usr/lib/NetworkManager/dispatcher.d/.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 17 Mar 2020 15:21:53 +0100

chrony (3.5-6ubuntu6) focal; urgency=medium

  * d/postrm: Reinstate the remove target (LP: #1873810)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 20 Apr 2020 15:58:52 +0200

chrony (3.5-6ubuntu5) focal; urgency=medium

  * d/t/control: harden time-sources-from-dhcp-servers test for systemd change
    (LP: #1873031)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 18:23:10 +0200

chrony (3.5-6ubuntu4) focal; urgency=medium

  * debian/postrm:
    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
      since systemd-timesyncd is a standalone package declaring
      Conflicts/Replaces/Provides: time-daemon. (Closes 955773, LP: #1872183)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 09:01:30 +0200

chrony (3.5-6ubuntu3) focal; urgency=medium

  * avoid multiple time services running concurrently (LP: #1870144).
    This fixes the autopkgtests vs chrond itself, the issue of concurrent
    systemd-timesyncd will be fixed in systemd by (LP 1849156)
    - d/t/upstream-system-tests: stop chrony/systemd-timesynd before tests
    - d/t/upstream-system-tests: fix stderr in case services do not exist

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 01 Apr 2020 09:25:45 +0200

chrony (3.5-6ubuntu2) focal; urgency=medium

  * fix capsh usage in focal avoiding to always fall back to -x (LP: #1867036)
    - d/control: add versioned dependency to libcap2-bin new enough to
      support --has-p
    - d/chronyd-starter.sh: update capsh usage to use --has-p

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 31 Mar 2020 10:19:20 +0200

chrony (3.5-6ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1866753). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 12 Mar 2020 11:02:33 +0100

chrony (3.5-6) unstable; urgency=medium

  * debian/chrony.service:
    - Don’t conflict with systemd-timesyncd.service.
    A few users complain that chronyd does not start at boot. The way the
    Conflict= directive works internally might cause both systemd-timesyncd
    and chronyd to be inactive at boot. So by relying solely on the
    disable-with-time-daemon.conf drop-in file provided by systemd, we should
    get rid of this malfunction while still preventing these two time daemons
    from being active at the same time. Kudos notably go to Santiago Vila for
    the report and providing SSH access to a GCE instance where the issue was
    reproducible and Michael Biebl for debugging. (Closes: #947936)

  * debian/control:
    - Bump Standards-Version to 4.5.0 (no changes required).
    - No need to explicitly conflict with ntp as it now provides time-daemon.

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/patches/:
    - Add allow-clock_adjtime-in-seccomp-filter.patch.
    glibc 2.31 switched the adjtimex() function to the clock_adjtime
    system call.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version. This new version supports glibc >= 2.31 headers.
    (LP: #1866753)

  * debian/tests/control:
    - Run the upstream-simulation-test-suite as root.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 10 Mar 2020 19:17:16 +0100

chrony (3.5-5ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1859969). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes:
    - d/t/control: destructive_system_tests only work on amd64 and s390x right
      now [fixed by backporting fixes from upstream in 3.5-5 ]
    - d/t/upstream-simulation-test-suite: ignore warnings on stderr while
      running clksim make
      [ in Debian 3.5-5 ]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Jan 2020 12:55:32 +0100

chrony (3.5-5) unstable; urgency=medium

  * debian/control:
    - Bump standard-version to 4.4.1 (no change required).

  * debian/install:
    - Install 50-chrony.list in /usr/lib/systemd/ntp-units.d.

  * debian/ntp-units.d/50-chrony.list:
    - Allow timedated to interact with chronyd.

  * debian/patches/*:
    - Cherry-pick upstream commits to better manage RTCs that don't support
    interrupts. This fixes an issue exhibited when a specific upstream system
    test is run on the Ubuntu CI. Thank to Christian Ehrhardt for working
    with Miroslav Lichvar to address this problem.

  * debian/tests/control:
    - Use @builddeps@ as a test dependency for upstream_system_tests.

  [ Christian Ehrhardt ]
  * debian/tests/upstream-simulation-test-suite:
    - Redirect stderr on make call to stdout. On some architectures (e.g. armhf)
    the clksim tests compile but throw some warnings. (MR: !2)

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 22 Dec 2019 17:30:40 +0100

chrony (3.5-4ubuntu2) focal; urgency=medium

  * d/t/control: destructive_system_tests only work on amd64 and s390x right
    now
  * d/t/upstream-simulation-test-suite: ignore warnings on stderr while
    running clksim make

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 03 Dec 2019 14:50:50 +0100

chrony (3.5-4ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1854328). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes:
    - d/t/control: allow stderr for recent changes in resolved/iproute
      (LP 1836882) [no more needed]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 28 Nov 2019 10:31:36 +0100

chrony (3.5-4) unstable; urgency=medium

  * debian/tests/control:
    - Add @builddeps@ to the list of dependencies needed by the
    upstream-simulation-test-suite test.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 30 Aug 2019 00:49:20 +0200

chrony (3.5-3) unstable; urgency=medium

  * debian/chrony.lintian-overrides:
    - Override package-supports-alternative-init-but-no-init.d-script. This
    is a false positive. chrony-dnssrv@.service isn’t a daemon but a oneshot
    service, not started at boot, whose role is to lookup for _ntp._udp DNS SRV
    records.

  * debian/chrony.service:
    - Pull in time-sync.target and order chrony before it as recommended in
    systemd.special(7).

  * debian/control:
    - Bump standard-version to 4.4.0 (no changes required).

  * debian/.gitlab-ci.yml:
    - Switch to standard Salsa Pipeline.
    - Skip the reprotest job for as long as it is run as root due to problems
    with chrony system tests.

  * debian/tests/*:
    - Revamp the upstream-simulation-test-suite test.
    - Adjust dpkg dependencies for upstream-simulation-test-suite.
    - Adjust restrictions for upstream-simulation-test-suite.
    - Introduce upstream-system-tests. Add a new set of tests for testing
    basic chronyd functionality. Destructive tests are run in a virtual
    machine.
    - Add ethtool to the list of dependencies needed by
    run_destructive_system_tests.
    - exit 77 if upstream-simulation-test-suite is run on non-Linux and mark
    the test as skippable. Thanks to Paul Gevers <elbrus@debian.org> for the
    suggestion.
    - Make artifacts() exit 1. Again, thanks to Paul Gevers.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 13 Aug 2019 17:57:47 +0200

chrony (3.5-2ubuntu3) focal; urgency=medium

  * No-change rebuild against libnettle7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 22:07:56 +0000

chrony (3.5-2ubuntu2) eoan; urgency=medium

  * d/t/control: allow stderr for recent changes in resolved/iproute
    (LP: #1836882)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Jul 2019 12:41:58 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog chrony`.
